Bug 582193 - No context menu in the left navigation
Summary: No context menu in the left navigation
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Lukas Krejci
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-naming
TreeView+ depends on / blocked
 
Reported: 2010-04-14 11:37 UTC by Lukas Krejci
Modified: 2010-08-12 16:55 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-08-12 16:55:24 UTC


Attachments (Terms of Use)

Description Lukas Krejci 2010-04-14 11:37:01 UTC
Description of problem:

The context menu doesn't appear on any of the tree nodes.

How reproducible:

always

Comment 1 Lukas Krejci 2010-04-21 12:34:59 UTC
The seems to be a regression between richfaces 3.3.0.GA and 3.3.1.GA.

A Richfaces JIRA was raised to track the problem:

https://jira.jboss.org/jira/browse/RF-8607

Comment 2 Lukas Krejci 2010-04-22 10:58:15 UTC
Found a workaround.

Fixed in commit 87ca061 in bugfixes branch.

Comment 3 gneelaka@redhat.com 2010-04-28 12:47:38 UTC
Tested on JON build#116 Revision 10615

Steps:
   1)Go to the JON dashboard.
   2)Click on one of the resources from recently added resources. 
   3)Then the resource would appear on the left hand side of the page.
   4)Click on resource or autogroup(CPU ,Filesystem etc).
   

Observation : The resources and autogroups are displayed with their respective 
context menus.

this is working fine now.

Comment 4 Corey Welton 2010-08-12 16:55:24 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.